Updates

WordPress 5.0 komt morgen 6/12 uit


< Terug naar home

Installeer (of blijf bij) WordPress 4.9.8 ipv 5.0 !
WordPress 5.0 komt morgen 6-12-2018 uit

Vanochtend kondigde WordPress’ big boss Matt Mullenweg eindelijk aan dat WordPress 5.0 normaal morgen uitkomt. Tenminste, indien er niets meer fout loopt. Want Mullenberg liet deze zomer weten dat WordPress 5.0 wellicht nog eind augustus zou verschijnen, wat de meeste waarnemers zeer onwaarschijnlijk achtten, gezien de massa bugs die nog op te lossen waren.  Uiteindelijk is de release date nog 3x verschoven wegens diverse problemen en bugs, maar die schijnen nu opgelost te zijn, dus de nieuwste datum zou wel eens de goede kunnen zijn.

Alleszins is WordPress 5.0 één van de allerbelangrijkste versies van WordPress die ooit uitgekomen zijn. Daar zijn zowat alle kenners het over eens. Reden hiervoor is Gutenberg, de nieuwe WordPress editor, waarover we eerder berichtten nav de release van WordPress 4.9.8.

Meer info in het NL over Gutenberg vind je o.a. hier, en een WordPress biedt ook een demosite met uitleg (Engelstalig).  Indien je die links volgt, zal je merken dat Gutenberg de manier van werken met WordPress zeer sterk wijzigt. Het vormt een enorme stap vooruit, temeer daar het in feite CMS-onafhankelijk is, en ook werkt met andere CMS’s dan WordPress, zoals bvb Drupal.  Daarom raadt Adit minstens iedereen die WordPress gebruikt aan om zo snel mogelijk kennis te maken met Gutenberg, en om je website erop voor te bereiden.

Maar installeer WordPress 5.0 nu nog niet op je live site, want wellicht is die er nog niet klaar voor:  veel thema’s en plugins zijn nog niet Gutenberg compatibel, en dus ook niet WordPress 5.0 compatibel, zeker niet indien je niet de laatste versie van je thema(s) of plugins gebruikt.  En bovendien ben je wellicht zelf nog niet klaar om Gutenberg te gebruiken. Dus zorg eerst dat je er wat vertrouwd mee wordt.

Ter info:  de standaard meegeleverde WordPress thema’s (Twenty …, vanaf Twenty Ten) dienen een – nu beschikbare – upgrade te krijgen, en dan worden ze compatibel met WordPress 5.0

 

ADIT raadt aan om vooraleer WordPress 5.0 te installeren volgende stappen uit te voeren:

  1. Geef je live website nu zeker nog geen upgrade naar WordPress 5.0 !
  2. Maar maak eerst een kopie van je WordPress website:  lees hier meer.
  3. Zorg dat je hostingpakket een recente versie van PHP gebruikt, liefst PHP 7.2.
  4. Upgrade je thema naar de meest recente versie, en check of je testsite nog correct werkt.
  5. Indien niet OK:  los eventuele problemen met het thema op.
  6. Indien OK: maak een backup van je testsite.
  7. Verwijder alle plugins die je niet meer nodig hebt.
  8. Upgrade de overgebleven plugins naar de meest recente versie, en check of je testsite nog correct werkt.
  9. Indien niet OK:  los eventuele problemen met de betreffende plugin(s) op.
    Je kan hier checken of je plugins WordPress 5.0 compatible zijn:  zoek/selecteer je plugin, en check rechts of het getest is tem WP versie 5.x.x
  10. Indien OK: maak een backup van je testsite.
  11. Upgrade WordPress core naar versie 4.9.8, indien je die nog niet gebruikt, en check of je testsite nog correct werkt.
  12. Indien niet OK:  los eventuele problemen op.
  13. Indien OK: maak een backup van je testsite.
  14. In WordPress 4.9.8 kan je schakelen tussen “Gutenberg” en “Classic Editor“, door beide als plugin te installeren (klik de links).
  15. Schakel om naar Gutenberg om te checken of je al je types van pagina’s, posts en onderliggende elementen nog kunt editeren.
  16. Dan zijn er 3 mogelijkheden:
    • Indien geen problemen en je kan overweg met Gutenberg:  wacht op WordPress 5.0.2 (dat wellicht rond 20/12/2018 zal uitkomen om – net als WordPress 5.0.1 – nog een reeks problemen en bugs op te lossen). En zodra WordPress 5.0.2 uit is – dat normaal een stabiele versie zal zijn – kan je upgraden, zonder de Classic Editor te installeren.
    • Indien geen problemen maar je kan nog niet overweg met Gutenberg:  wacht dan op WordPress 5.0.2, en installeer die versie met de Classic Editor als actieve plugin, zodat je die voorlopig kan blijven gebruiken.  Maar zorg wel dat je zsm vertrouwd bent met Gutenberg, zodat je de Classic Editor daarna kan verwijderen.
    • Indien wel problemen:  ga na waar het probleem ligt. indien bvb bij thema of plugin:  ga na of er plannen zijn voor een WP 5.0 compatibele versie.
      • Indien ja: wacht dan tot die klaar is, installeer ze, wacht evt nog tot WordPress 5.0.2 uit is, en installeer die versie met de Classic Editor.
      • Indien neen:  zorg voor een alternatief, en implementeer dat, wacht evt nog tot WordPress 5.0.2 uit is, en installeer die versie met de Classic Editor.
  17. In elk van de 3 gevallen:  test ook alleszins WordPress 5.0.2 en evt nieuwe thema(s) of plugin(s) eerst op je testsite!


Belangrijk
:

  • De Classic Editor wordt minstens tot 31/12/2021 ondersteund, dus er is nog tijd.
  • Maar indien je website het toelaat (zie hierboven):  probeer toch zsm naar WordPress 5.0.2 (of hoger) up te graden, om de goede trein niet te missen.
  • Voor meer details ivm de releasedatum van WordPress 5.0:  zie artikel onderaan.
  • Indien je nog geen website in WordPress opgezet hebt, twijfel dan niet, en gebruik de meest recente WordPress versie (dus v5.0 of hoger).

 

Interessante WP 5.0 links:

  • WordPress website in NL:  klik hier.
  • Officiële introductiefilmpje van WordPress 5.0.
  • Officiële WordPress Gutenberg demosite:  klik hier.
  • ADIT hostingpakketten, met in het midden: “managed WordPress” optie, waarbij je verlost bent van deze problematiek. Contacteer ons voor meer info.
  • Website waar je gratis de nieuwste versies van WordPress kan testen:  klik hier.
  • Mening en raad ivm WordPress 5.0 upgrade door belangrijke WP-ontwikkelaar:  klik hier.
  • Het verschil in denken tussen WordPress zonder en WordPress met Gutenberg:  klik hier.

 

 

New 5.0 Target Date

 

 

Contacteer ons